Skip to main content
PATCH
/
projects
/
{project_id}
/
locales
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/locales/:id" \
  -u USERNAME_OR_ACCESS_TOKEN \
  -X PATCH \
  -d '{"branch":"my-feature-branch","name":"de","code":"de-DE","source_locale_id":"abcd1234abcd1234abcd1234abcd1234"}' \
  -H 'Content-Type: application/json'
phrase locales update \
--project_id <project_id> \
--id <id> \
--data '{"branch":"my-feature-branch", "name":"de", "code":"de-DE", "source_locale_id":"abcd1234abcd1234abcd1234abcd1234"}' \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/projects/{project_id}/locales/{id}"

payload = {
"branch": "my-feature-branch",
"name": "de",
"code": "de-DE",
"default": None,
"main": None,
"rtl": None,
"source_locale_id": "abcd1234abcd1234abcd1234abcd1234",
"fallback_locale_id": "abcd1234abcd1234abcd1234abcd1234",
"unverify_new_translations": None,
"unverify_updated_translations": None,
"autotranslate": None,
"language_ai_profile": "abcd1234abcd1234abcd1234abcd1234"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: 'my-feature-branch',
name: 'de',
code: 'de-DE',
default: null,
main: null,
rtl: null,
source_locale_id: 'abcd1234abcd1234abcd1234abcd1234',
fallback_locale_id: 'abcd1234abcd1234abcd1234abcd1234',
unverify_new_translations: null,
unverify_updated_translations: null,
autotranslate: null,
language_ai_profile: 'abcd1234abcd1234abcd1234abcd1234'
})
};

fetch('https://api.phrase.com/v2/projects/{project_id}/locales/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "abcd1234cdef1234abcd1234cdef1234",
  "name": "de",
  "code": "de-DE",
  "default": true,
  "main": false,
  "rtl": false,
  "plural_forms": [
    "zero",
    "one",
    "other"
  ],
  "ordinal_plural_forms": [
    "zero",
    "other"
  ],
  "source_locale": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "name": "en",
    "code": "en-GB"
  },
  "fallback_locale": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "name": "en",
    "code": "en-GB"
  },
  "language_ai_profile": "abcd1234abcd1234abcd1234abcd1234",
  "created_at": "2015-01-28T09:52:53Z",
  "updated_at": "2015-01-28T09:52:53Z",
  "statistics": {
    "keys_total_count": 2120,
    "keys_untranslated_count": 100,
    "words_total_count": 3102102,
    "translations_completed_count": 1920,
    "translations_unverified_count": 32,
    "unverified_words_count": 129,
    "missing_words_count": 3920
  }
}
{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

id
string
required

Locale ID or locale name

Body

application/json
branch
string

specify the branch to use

Example:

"my-feature-branch"

name
string

Locale name

Example:

"de"

code
string

Locale ISO code

Example:

"de-DE"

default
boolean

Indicates whether locale is the default locale. If set to true, the previous default locale the project is no longer the default locale.

Example:

null

main
boolean

Indicates whether locale is a main locale. Main locales are part of the Verification System feature.

Example:

null

rtl
boolean

Indicates whether locale is a RTL (Right-to-Left) locale.

Example:

null

source_locale_id
string

Source locale. Can be the name or id of the locale. Preferred is id.

Example:

"abcd1234abcd1234abcd1234abcd1234"

fallback_locale_id
string

Fallback locale for empty translations. Can be a locale name or id.

Example:

"abcd1234abcd1234abcd1234abcd1234"

unverify_new_translations
boolean

Indicates that new translations for this locale should be marked as unverified. Part of the Advanced Workflows feature.

Example:

null

unverify_updated_translations
boolean

Indicates that updated translations for this locale should be marked as unverified. Part of the Advanced Workflows feature.

Example:

null

autotranslate
boolean

If set, translations for this locale will be fetched automatically, right after creation.

Example:

null

language_ai_profile
string

Identifier of the Language AI profile to use for this locale.

Example:

"abcd1234abcd1234abcd1234abcd1234"

Response

OK

id
string
name
string
code
string
default
boolean
main
boolean
rtl
boolean
plural_forms
string[]
ordinal_plural_forms
string[]
source_locale
locale_preview · object
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
fallback_locale
locale_preview · object
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
language_ai_profile
string
created_at
string<date-time>
updated_at
string<date-time>
statistics
locale_statistics · object
Example:

null